<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009"
			   xmlns:s="library://ns.adobe.com/flex/spark"
			   xmlns:ui="library://ns.adobe.com/flex/ui"
			   xmlns:mx="library://ns.adobe.com/flex/mx"
			   xmlns:components="br.com.dclick.components.*"
			   close="titlewindowCloseHandler(event)" creationComplete="creationCompleteHandler(event)" title="Pesquisa de Tipo Movimentacao Estoque" xmlns:visual="br.com.desenv.framework.component.visual.*">
	
	<fx:Style source="../../../framework/util/estilo.css"/>
	
	
	<fx:Metadata>
		[Event(name="TipoMovimentacaoEstoqueSelecionadoEvent")]
	</fx:Metadata>
	
	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			
			
			import mx.validators.Validator;
			
			import spark.events.IndexChangeEvent;
			
			import br.com.desenv.nepalign.vo.Page;
			import br.com.desenv.nepalign.vo.TipoMovimentacaoEstoque;
			
			[Bindable]
			public var listaTipoMovimentacaoEstoque: ArrayCollection = new ArrayCollection();
			private var pageNumber: int = 1;
			private var totalRecords: int;
			private var pageSize: int = 15;
			private var lastPage: int = 1;
			
			[Bindable]
			private var listaTipoNotaFiscalPesquisa: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaEstoquePesquisa: ArrayCollection = new ArrayCollection();

			
			private var tipoMovimentacaoEstoqueComponenteDetalhe: TipoMovimentacaoEstoqueComponenteDetalhe;

			[Bindable]
			private var listaValidadorForm: Array = new Array();
			
// ---------------------------------- FUNCOES DE INICIALIZACAO E FINALIZACAO --------------------------------			
			private function validar(event: MouseEvent):Boolean 
			{
				var listaErroValidador:Array = Validator.validateAll(this.listaValidadorForm);
				var validado:Boolean = listaErroValidador.length == 0;
				return validado;
			}
			
			// Indica todas as validacoes necessarias
			private function carregarListaValidacao(): void
			{
				//implemente aqui outros validadores se necessario
			}

			private function montarObjetoFiltro(): TipoMovimentacaoEstoque
			{
				var tipoMovimentacaoEstoqueFiltro: TipoMovimentacaoEstoque = new TipoMovimentacaoEstoque();
				
				tipoMovimentacaoEstoqueFiltro.descricao = ignTextInputDescricaoPesquisa.text == ""?null:"%" + ignTextInputDescricaoPesquisa.text + "%";
				tipoMovimentacaoEstoqueFiltro.emprestimo = ignComboBoxFixoEmprestimoPesquisa.selectedItem == null?null:ignComboBoxFixoEmprestimoPesquisa.selectedItem.codigo == ""?null:ignComboBoxFixoEmprestimoPesquisa.selectedItem.codigo; 
				tipoMovimentacaoEstoqueFiltro.exigePedido = ignComboBoxFixoExigePedidoPesquisa.selectedItem == null?null:ignComboBoxFixoExigePedidoPesquisa.selectedItem.codigo == ""?null:ignComboBoxFixoExigePedidoPesquisa.selectedItem.codigo; 
				tipoMovimentacaoEstoqueFiltro.exigeCliente = ignComboBoxFixoExigeClientePesquisa.selectedItem == null?null:ignComboBoxFixoExigeClientePesquisa.selectedItem.codigo == ""?null:ignComboBoxFixoExigeClientePesquisa.selectedItem.codigo; 
				tipoMovimentacaoEstoqueFiltro.estoque = ignComboBoxAutoCompleteEstoquePesquisa.selectedItem; 
				tipoMovimentacaoEstoqueFiltro.tipoNotaFiscal = ignComboBoxAutoCompleteTipoNotaFiscalPesquisa.selectedItem; 
				tipoMovimentacaoEstoqueFiltro.exigePagamento = ignComboBoxFixoExigePagamentoPesquisa.selectedItem == null?null:ignComboBoxFixoExigePagamentoPesquisa.selectedItem.codigo == ""?null:ignComboBoxFixoExigePagamentoPesquisa.selectedItem.codigo; 
				tipoMovimentacaoEstoqueFiltro.exibirNumPedidoVenda = ignComboBoxFixoExibirNumPedidoVendaPesquisa.selectedItem == null?null:ignComboBoxFixoExibirNumPedidoVendaPesquisa.selectedItem.codigo == ""?null:ignComboBoxFixoExibirNumPedidoVendaPesquisa.selectedItem.codigo; 
				tipoMovimentacaoEstoqueFiltro.entradaSaida = ignComboBoxFixoEntradaSaidaPesquisa.selectedItem == null?null:ignComboBoxFixoEntradaSaidaPesquisa.selectedItem.codigo == ""?null:ignComboBoxFixoEntradaSaidaPesquisa.selectedItem.codigo; 
				return tipoMovimentacaoEstoqueFiltro;
			}
			
			private function creationCompleteHandler( event: FlexEvent ): void {
				carregarListaValidacao();
				
				var remoteObjectTipoMovimentacaoEstoque: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("tipoMovimentacaoEstoqueService", listarResultHandler);	
				
				var remoteObjectTipoNotaFiscal: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("tipoNotaFiscalService", listarTipoNotaFiscalPesquisaResultHandler);	
				remoteObjectTipoNotaFiscal.getOperation("listar").send();
				var remoteObjectEstoque: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("estoqueService", listarEstoquePesquisaResultHandler);	
				remoteObjectEstoque.getOperation("listar").send();
				
				var tipoMovimentacaoEstoqueFiltro: TipoMovimentacaoEstoque = new TipoMovimentacaoEstoque();
				remoteObjectTipoMovimentacaoEstoque.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, 1, tipoMovimentacaoEstoqueFiltro); 
			}
			
			protected function titlewindowCloseHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			
// ---------------------------------- RETORNO DA FUNCAO LISTAR  --------------------------------	
			
			private function listarResultHandler( event: ResultEvent ): void {
				var paginaTipoMovimentacaoEstoque: Page = event.result as Page;
				pageNumber = paginaTipoMovimentacaoEstoque.pageNumber;
				totalRecords = paginaTipoMovimentacaoEstoque.totalRecords;
				lastPage = paginaTipoMovimentacaoEstoque.lastPage();
				listaTipoMovimentacaoEstoque = paginaTipoMovimentacaoEstoque.recordList;
				labelPaginaAtual.text = "" + paginaTipoMovimentacaoEstoque.pageNumber;
				labelTotalRegistro.text = "Total de Registros " + paginaTipoMovimentacaoEstoque.totalRecords;
			}

// CARREGANDO COMBOS			
			private function listarTipoNotaFiscalPesquisaResultHandler( event: ResultEvent ): void 
			{
				listaTipoNotaFiscalPesquisa = event.result as ArrayCollection;
				listaTipoNotaFiscalPesquisa.addItemAt(null, 0);
			}
			private function listarEstoquePesquisaResultHandler( event: ResultEvent ): void 
			{
				listaEstoquePesquisa = event.result as ArrayCollection;
				listaEstoquePesquisa.addItemAt(null, 0);
			}

// ---------------------------------- ADICIONAR DINAMICAMENTE  --------------------------------				
	
			
			
// -------------FUNCAO DE FILTRAR  -------------------------------------------------------			

			private function buttonFiltrarClickHandler( event: MouseEvent ): void {
				if (validar(event))
				{
					var remoteObjectTipoMovimentacaoEstoque: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("tipoMovimentacaoEstoqueService", listarResultHandler);	
					remoteObjectTipoMovimentacaoEstoque.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, 1, montarObjetoFiltro());
				}	 
			}
			
// -------------FUNCOES DE INSERIR E ATUALIZAR  -------------------------------------------------------			

			private function buttonInserir_clickHandler( event: MouseEvent): void 
			{
				var tipoMovimentacaoEstoqueComponenteCadastro: TipoMovimentacaoEstoqueComponenteCadastro = new TipoMovimentacaoEstoqueComponenteCadastro();
				tipoMovimentacaoEstoqueComponenteCadastro.tipoMovimentacaoEstoque = new TipoMovimentacaoEstoque(); 
				tipoMovimentacaoEstoqueComponenteCadastro.addEventListener("TipoMovimentacaoEstoqueIncluidoEvent", atualizarListaTipoMovimentacaoEstoquePorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tipoMovimentacaoEstoqueComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(tipoMovimentacaoEstoqueComponenteCadastro);
			}
			
			protected function buttonFechar_clickHandler(event:MouseEvent):void
			{
				var tipoMovimentacaoEstoqueSelecionado: TipoMovimentacaoEstoque = datagridListaTipoMovimentacaoEstoque.selectedItem as TipoMovimentacaoEstoque;
				this.dispatchEvent(new ResultEvent("TipoMovimentacaoEstoqueSelecionadoEvent",false, true, tipoMovimentacaoEstoqueSelecionado, null, null));
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			protected function datagridListaTipoMovimentacaoEstoque_doubleClickHandler(event:MouseEvent):void
			{
				tipoMovimentacaoEstoqueComponenteDetalhe = new TipoMovimentacaoEstoqueComponenteDetalhe();
				tipoMovimentacaoEstoqueComponenteDetalhe.tipoMovimentacaoEstoque = datagridListaTipoMovimentacaoEstoque.selectedItem as TipoMovimentacaoEstoque;
				tipoMovimentacaoEstoqueComponenteDetalhe.addEventListener("TipoMovimentacaoEstoqueExcluidoEvent", atualizarListaTipoMovimentacaoEstoquePorExclusaoResultHandler);
				tipoMovimentacaoEstoqueComponenteDetalhe.addEventListener("TipoMovimentacaoEstoqueAtualizadoEvent", atualizarListaTipoMovimentacaoEstoquePorAtualizacaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tipoMovimentacaoEstoqueComponenteDetalhe, this, true);
				UPCPopUpManager.instance.centerWindow(tipoMovimentacaoEstoqueComponenteDetalhe);
			}
			
			
			private function atualizarListaTipoMovimentacaoEstoquePorInclusaoResultHandler(e:Event):void
			{
				var remoteObjectTipoMovimentacaoEstoque: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("tipoMovimentacaoEstoqueService", listarResultHandler);	
				remoteObjectTipoMovimentacaoEstoque.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, lastPage, montarObjetoFiltro()); 
			}
			
			private function atualizarListaTipoMovimentacaoEstoquePorAtualizacaoResultHandler(e:Event):void
			{
				var remoteObjectTipoMovimentacaoEstoque: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("tipoMovimentacaoEstoqueService", listarResultHandler);	
				remoteObjectTipoMovimentacaoEstoque.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, pageNumber, montarObjetoFiltro()); 
				
			}
			
			
			private function atualizarListaTipoMovimentacaoEstoquePorExclusaoResultHandler(e:Event):void
			{
				var remoteObjectTipoMovimentacaoEstoque: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("tipoMovimentacaoEstoqueService", listarResultHandler);	
				remoteObjectTipoMovimentacaoEstoque.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, pageNumber, montarObjetoFiltro()); 
			}
			
			
			
			
		
// -------------FUNCOES DE NAVEGACAO -------------------------------------------------------			
			protected function linkButtonProximaPagina_clickHandler(event:MouseEvent):void
			{
				var remoteObjectTipoMovimentacaoEstoque: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("tipoMovimentacaoEstoqueService", listarResultHandler);	

				if (pageNumber < lastPage)
				{
					remoteObjectTipoMovimentacaoEstoque.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, (pageNumber + 1), montarObjetoFiltro());
				}
				else
				{
					remoteObjectTipoMovimentacaoEstoque.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, lastPage, montarObjetoFiltro());
				}				
			}
			
			protected function linkButtonAnteriorPagina_clickHandler(event:MouseEvent):void
			{
				var remoteObjectTipoMovimentacaoEstoque: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("tipoMovimentacaoEstoqueService", listarResultHandler);	
				
				if (pageNumber > 1)
				{
					remoteObjectTipoMovimentacaoEstoque.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, (pageNumber - 1) , montarObjetoFiltro());
				}
				else
				{
					remoteObjectTipoMovimentacaoEstoque.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, 1 , montarObjetoFiltro());
				}
			}
			
			protected function linkButtonPrimeiraPagina_clickHandler(event:MouseEvent):void
			{
				var remoteObjectTipoMovimentacaoEstoque: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("tipoMovimentacaoEstoqueService", listarResultHandler);	
				remoteObjectTipoMovimentacaoEstoque.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, 1 , montarObjetoFiltro()); 
			}
			
			protected function linkButtonUltimaPagina_clickHandler(event:MouseEvent):void
			{
				var remoteObjectTipoMovimentacaoEstoque: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("tipoMovimentacaoEstoqueService", listarResultHandler);	
				remoteObjectTipoMovimentacaoEstoque.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, lastPage , montarObjetoFiltro()); 
			}
			
			protected function ignComboBoxAutoCompleteEstoquePesquisa_changeHandler(event:IndexChangeEvent):void
			{
				if(this.ignComboBoxAutoCompleteEstoquePesquisa.selectedIndex == 0)
					this.ignComboBoxAutoCompleteEstoquePesquisa.textInput.text = "";
			}
			
			protected function ignComboBoxAutoCompleteTipoNotaFiscalPesquisa_changeHandler(event:IndexChangeEvent):void
			{
				if(this.ignComboBoxAutoCompleteTipoNotaFiscalPesquisa.selectedIndex == 0)
					this.ignComboBoxAutoCompleteTipoNotaFiscalPesquisa.textInput.text = "";
			}
			
		]]>
	</fx:Script>
	
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
		<s:ArrayCollection id="listaOpcaoEmprestimo">
			<fx:Object codigo="" valor=""/>
			<fx:Object codigo="S" valor="SIM"/>
			<fx:Object codigo="N" valor="NAO"/>
		</s:ArrayCollection>
		<s:ArrayCollection id="listaOpcaoExigePedido">
			<fx:Object codigo="" valor=""/>
			<fx:Object codigo="S" valor="SIM"/>
			<fx:Object codigo="N" valor="NAO"/>
		</s:ArrayCollection>
		<s:ArrayCollection id="listaOpcaoExigeCliente">
			<fx:Object codigo="" valor=""/>
			<fx:Object codigo="S" valor="SIM"/>
			<fx:Object codigo="N" valor="NAO"/>
		</s:ArrayCollection>
		<s:ArrayCollection id="listaOpcaoExigePagamento">
			<fx:Object codigo="" valor=""/>
			<fx:Object codigo="S" valor="SIM"/>
			<fx:Object codigo="N" valor="NAO"/>
		</s:ArrayCollection>
		<s:ArrayCollection id="listaOpcaoExibirNumPedidoVenda">
			<fx:Object codigo="" valor=""/>
			<fx:Object codigo="S" valor="SIM"/>
			<fx:Object codigo="N" valor="NAO"/>
		</s:ArrayCollection>
		<s:ArrayCollection id="listaOpcaoEntradaSaida">
			<fx:Object codigo="" valor=""/>
			<fx:Object codigo="E" valor="ENTRADA"/>
			<fx:Object codigo="S" valor="SAÍDA"/>
		</s:ArrayCollection>
	</fx:Declarations>
	
	<mx:Grid styleName="grid" verticalScrollPolicy="auto" horizontalScrollPolicy="auto" maxHeight="600" maxWidth="1024">
		<mx:GridRow>
			<mx:GridItem colSpan="4" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>	
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tipo Movimentacao:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor" colSpan="3">
				<s:VGroup>
					<s:Label id="labelValidacaoDescricaoPesquisa" styleName="labelValidacao" text="{ignTextInputDescricaoPesquisa.errorString}"/>
					<visual:IgnTextInput id="ignTextInputDescricaoPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}" width="530"/>
				</s:VGroup>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Empréstimo:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoEmprestimoPesquisa" styleName="labelValidacao" text="{ignComboBoxFixoEmprestimoPesquisa.errorString}"/>
					<visual:IgnComboBoxFixo id="ignComboBoxFixoEmprestimoPesquisa" obrigatorio="false" dataProvider="{listaOpcaoEmprestimo}"  listaValidadorForm="{this.listaValidadorForm}"/> 
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Exige Pagamento:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoExigePagamentoPesquisa" styleName="labelValidacao" text="{ignComboBoxFixoExigePagamentoPesquisa.errorString}"/>
					<visual:IgnComboBoxFixo id="ignComboBoxFixoExigePagamentoPesquisa" obrigatorio="false" dataProvider="{listaOpcaoExigePagamento}"  listaValidadorForm="{this.listaValidadorForm}"/> 
				</s:VGroup>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Exige Pedido:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoExigePedidoPesquisa" styleName="labelValidacao" text="{ignComboBoxFixoExigePedidoPesquisa.errorString}"/>
					<visual:IgnComboBoxFixo id="ignComboBoxFixoExigePedidoPesquisa" obrigatorio="false" dataProvider="{listaOpcaoExigePedido}"  listaValidadorForm="{this.listaValidadorForm}"/> 
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Exige Cliente:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoExigeClientePesquisa" styleName="labelValidacao" text="{ignComboBoxFixoExigeClientePesquisa.errorString}"/>
					<visual:IgnComboBoxFixo id="ignComboBoxFixoExigeClientePesquisa" obrigatorio="false" dataProvider="{listaOpcaoExigeCliente}"  listaValidadorForm="{this.listaValidadorForm}"/> 
				</s:VGroup>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Estoque:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoEstoquePesquisa" styleName="labelValidacao" text="{ignComboBoxAutoCompleteEstoquePesquisa.errorString}"/>
					<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteEstoquePesquisa" dataProvider="{listaEstoquePesquisa}" labelField="descricao" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}" change="ignComboBoxAutoCompleteEstoquePesquisa_changeHandler(event)"/>
				</s:VGroup>
			</mx:GridItem>		
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tipo NF:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoTipoNotaFiscalPesquisa" styleName="labelValidacao" text="{ignComboBoxAutoCompleteTipoNotaFiscalPesquisa.errorString}"/>
					<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteTipoNotaFiscalPesquisa" dataProvider="{listaTipoNotaFiscalPesquisa}" labelField="descricao" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}" change="ignComboBoxAutoCompleteTipoNotaFiscalPesquisa_changeHandler(event)"/>
				</s:VGroup>
			</mx:GridItem>		
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Exibir N° Pedido Venda:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoExibirNumPedidoVendaPesquisa" styleName="labelValidacao" text="{ignComboBoxFixoExibirNumPedidoVendaPesquisa.errorString}"/>
					<visual:IgnComboBoxFixo id="ignComboBoxFixoExibirNumPedidoVendaPesquisa" obrigatorio="false" dataProvider="{listaOpcaoExibirNumPedidoVenda}"  listaValidadorForm="{this.listaValidadorForm}"/> 
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Entrada/Saída:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoEntradaSaidaPesquisa" styleName="labelValidacao" text="{ignComboBoxFixoEntradaSaidaPesquisa.errorString}"/>
					<visual:IgnComboBoxFixo id="ignComboBoxFixoEntradaSaidaPesquisa" obrigatorio="false" dataProvider="{listaOpcaoEntradaSaida}"  listaValidadorForm="{this.listaValidadorForm}"/> 
				</s:VGroup>
			</mx:GridItem>
		</mx:GridRow>		
		<mx:GridRow>
			<mx:GridItem colSpan="4" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem colSpan="4" horizontalAlign="right">
				<mx:Button id="buttonFiltrar" label="Filtrar" click="buttonFiltrarClickHandler(event)"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem colSpan="4">
				<s:Spacer/>	
			</mx:GridItem>
		</mx:GridRow>		
		<mx:GridRow>
			<mx:GridItem colSpan="4" horizontalAlign="center">
				
				
				<mx:LinkButton id="linkButtonPrimeiraPagina" label="&lt;&lt;" click="linkButtonPrimeiraPagina_clickHandler(event)"/>
				<mx:LinkButton id="linkButtonAnteriorPagina" label="&lt;" click="linkButtonAnteriorPagina_clickHandler(event)"/>
				<mx:Label id="labelPaginaAtual" text=""/>
				<mx:LinkButton id="linkButtonProximaPagina" label="&gt;" click="linkButtonProximaPagina_clickHandler(event)"/>
				<mx:LinkButton id="linkButtonUltimaPagina" label="&gt;&gt;" click="linkButtonUltimaPagina_clickHandler(event)"/>				
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem colSpan="4" horizontalAlign="center">
				<mx:DataGrid id="datagridListaTipoMovimentacaoEstoque"  width="100%" verticalScrollPolicy="on" horizontalScrollPolicy="on" dataProvider="{listaTipoMovimentacaoEstoque}" doubleClick="datagridListaTipoMovimentacaoEstoque_doubleClickHandler(event)" doubleClickEnabled="true">
					<mx:columns>
						<mx:DataGridColumn visible="false" dataField="id"/>
						<mx:DataGridColumn dataField="descricao" headerText="Tipo Movimentacao" resizable="true" width="250"/>
						<mx:DataGridColumn dataField="emprestimoDescricaoCompleta" headerText="Empréstimo" resizable="true"/>
						<mx:DataGridColumn dataField="exigePedidoDescricaoCompleta" headerText="Exige Pedido" resizable="true"/>
						<mx:DataGridColumn dataField="exigeClienteDescricaoCompleta" headerText="Exige Cliente" resizable="true"/>
						<mx:DataGridColumn dataField="estoque.descricao" headerText="Estoque" resizable="true"/>
						<mx:DataGridColumn dataField="tipoNotaFiscal.descricao" headerText="Tipo NF" resizable="true"/>
<!--
						<mx:DataGridColumn dataField="observacao" headerText="Observação" resizable="true"/>
						<mx:DataGridColumn dataField="exigePagamentoDescricaoCompleta" headerText="Exige Pagamento" resizable="true"/>
						<mx:DataGridColumn dataField="exibirNumPedidoVendaDescricaoCompleta" headerText="Exibir N° Pedido Venda" resizable="true"/>
						<mx:DataGridColumn dataField="entradaSaidaDescricaoCompleta" headerText="Entrada/Saída" resizable="true"/>
-->
					</mx:columns>
				</mx:DataGrid>
			</mx:GridItem>
		</mx:GridRow>	
		<mx:GridRow>
			
			<mx:GridItem colSpan="2" horizontalAlign="left">
				<mx:Label id="labelTotalRegistro" text=""/>
			</mx:GridItem>
			<mx:GridItem colSpan="2" horizontalAlign="right">
				<mx:Button id="buttonInserir" label="Novo" click="buttonInserir_clickHandler(event)"/>
				<mx:Button id="buttonFechar" label="Fechar" click="buttonFechar_clickHandler(event)"/>
			</mx:GridItem>	
		</mx:GridRow>
				
	</mx:Grid>
</s:TitleWindow>
